Flecs: flecs::units Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::units Struct Reference

Units module. More...

`#include <decl.hpp>`

## Classes
struct | Prefixes
| Prefixes scope. More...
struct | Yocto
| Yocto prefix (10^-24). More...
struct | Zepto
| Zepto prefix (10^-21). More...
struct | Atto
| Atto prefix (10^-18). More...
struct | Femto
| Femto prefix (10^-15). More...
struct | Pico
| Pico prefix (10^-12). More...
struct | Nano
| Nano prefix (10^-9). More...
struct | Micro
| Micro prefix (10^-6). More...
struct | Milli
| Milli prefix (10^-3). More...
struct | Centi
| Centi prefix (10^-2). More...
struct | Deci
| Deci prefix (10^-1). More...
struct | Deca
| Deca prefix (10^1). More...
struct | Hecto
| Hecto prefix (10^2). More...
struct | Kilo
| Kilo prefix (10^3). More...
struct | Mega
| Mega prefix (10^6). More...
struct | Giga
| Giga prefix (10^9). More...
struct | Tera
| Tera prefix (10^12). More...
struct | Peta
| Peta prefix (10^15). More...
struct | Exa
| Exa prefix (10^18). More...
struct | Zetta
| Zetta prefix (10^21). More...
struct | Yotta
| Yotta prefix (10^24). More...
struct | Kibi
| Kibi prefix (2^10). More...
struct | Mebi
| Mebi prefix (2^20). More...
struct | Gibi
| Gibi prefix (2^30). More...
struct | Tebi
| Tebi prefix (2^40). More...
struct | Pebi
| Pebi prefix (2^50). More...
struct | Exbi
| Exbi prefix (2^60). More...
struct | Zebi
| Zebi prefix (2^70). More...
struct | Yobi
| Yobi prefix (2^80). More...
struct | Duration
| Duration quantity. More...
struct | Time
| Time quantity. More...
struct | Mass
| Mass quantity. More...
struct | ElectricCurrent
| Electric current quantity. More...
struct | LuminousIntensity
| Luminous intensity quantity. More...
struct | Force
| Force quantity. More...
struct | Amount
| Amount quantity. More...
struct | Length
| Length quantity. More...
struct | Pressure
| Pressure quantity. More...
struct | Speed
| Speed quantity. More...
struct | Temperature
| Temperature quantity. More...
struct | Data
| Data quantity. More...
struct | DataRate
| Data rate quantity. More...
struct | Angle
| Angle quantity. More...
struct | Frequency
| Frequency quantity. More...
struct | Uri
| URI quantity. More...
struct | Color
| Color quantity. More...
struct | duration
| Duration units. More...
struct | angle
| Angle units. More...
struct | time
| Time units. More...
struct | mass
| Mass units. More...
struct | electric_current
| Electric current units. More...
struct | amount
| Amount units. More...
struct | luminous_intensity
| Luminous intensity units. More...
struct | force
| Force units. More...
struct | length
| Length units. More...
struct | pressure
| Pressure units. More...
struct | speed
| Speed units. More...
struct | temperature
| Temperature units. More...
struct | data
| Data units. More...
struct | datarate
| Data rate units. More...
struct | frequency
| Frequency units. More...
struct | uri
| URI units. More...
struct | color
| Color units. More...
struct | Percentage
| Percentage unit. More...
struct | Bel
| Bel unit. More...
struct | DeciBel
| DeciBel unit. More...

## Public Member Functions
| units (flecs::world &world)
| Construct the units module.

## Detailed Description

Units module.

Definition at line 10 of file decl.hpp.

The documentation for this struct was generated from the following files:

- include/flecs/addons/cpp/mixins/units/decl.hpp
- include/flecs/addons/cpp/mixins/units/impl.hpp